> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set the Certificate used for verifying tokens from the Customer



## OpenAPI

````yaml /uapi.yaml post /config/token_certs/{issuerId}
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /config/token_certs/{issuerId}:
    post:
      tags:
        - certificates
        - configuration
      summary: Set the Certificate used for verifying tokens from the Customer
      operationId: setTokenCertificate
      parameters:
        - name: issuerId
          in: path
          description: >
            The ID of the accepted issuer that will be used to identify tokens
            signed with this certificate
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - certificateId
              properties:
                certificateId:
                  type: string
      responses:
        '201':
          description: Token certificate updated
        '400':
          description: Issuer not found
        '404':
          description: Certificate not found
        '409':
          description: Certificate is not valid for Token signing or verification
          content:
            application/json:
              schema:
                type: object
                properties:
                  reason:
                    type: string
                    description: |
                      An explanation of why the certificate is not valid.

                      Possible reasons include:
                        - The certificate has already expired
                        - The certificate has been revoked
                        - The certificate does not have the appropriate keyUsage bits set

````